# Knative documentation

Welcome to the source file repository for our documentation on
https://knative.dev.

## View published documentation

View all Knative documentation and walk-through our code samples on the
[website](https://knative.dev).

The Knative website includes versioned docs for recent releases, the Knative
blog, links to all community resources, as well as Knative governance and
contributor guidelines.

## Website source files

Source files for the documentation on the website are located within the
[`/docs`](./docs) directory of this repo.

If you want to contribute a fix or add new content to the documentation, you can
navigate through this repo or use the `Edit this page` on each of the pages of
the website.

Before you can contribute, first start by reading the Knative contributor
guidelines and learning about our community and requirements. In addition to
reading about how to contribute to the docs, you should take a moment to learn
about the Knative code of conduct, governance, values, and the various working
groups and committees.

[Knative community and contributor guidelines](https://knative.dev/community/contributing/)

Source files for all Knative community and governance topics are located
separately in the [knative/community](https://github.com/knative/community/)
repo.

### Documentation versions for Knative releases

Each release of the Knative docs are available in the website (starting with
0.3) and their source files are all stored in
[branches of this repo](./doc-releases.md).

## Help and support

Your help and feedback is always welcome!

If you find an issue let us know, either by clicking the `Create Issue` on any
of the website pages, or by directly opening an
[issue](https://github.com/knative/docs/issues/new/choose) here in the repo.

If you have a question that you can't find an answer to, we would also like to
hear about that too. In addition to our docs, you can also reach out to the
community for assistance. For example, ask a documentation specific question on
the `#docs` channel in [Slack](https://knative.slack.com/).

Also see the [Knative community resource page](https://knative.dev/community/)
for a list of all the available community resources, including links to the
various community discussion groups for both development as well as
troubleshooting.
